> ## Documentation Index
> Fetch the complete documentation index at: https://agentstack.beeai.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Read Connector



## OpenAPI

````yaml /development/api-reference/openapi.json get /api/v1/connectors/{connector_id}
openapi: 3.1.0
info:
  title: Agentstack server
  version: 0.6.3
servers: []
security: []
paths:
  /api/v1/connectors/{connector_id}:
    get:
      tags:
        - connectors
      summary: Read Connector
      operationId: read_connector_api_v1_connectors__connector_id__get
      parameters:
        - name: connector_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Connector Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ConnectorResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBasic: []
        - HTTPBearer: []
components:
  schemas:
    ConnectorResponse:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        url:
          type: string
          minLength: 1
          format: uri
          title: Url
        state:
          $ref: '#/components/schemas/ConnectorState'
        auth_request:
          anyOf:
            - oneOf:
                - $ref: '#/components/schemas/AuthorizationCodeRequest'
              discriminator:
                propertyName: type
                mapping:
                  code:
                    $ref: '#/components/schemas/AuthorizationCodeRequest'
            - type: 'null'
          title: Auth Request
        disconnect_reason:
          anyOf:
            - type: string
            - type: 'null'
          title: Disconnect Reason
        metadata:
          anyOf:
            - additionalProperties:
                type: string
              type: object
              description: >

                Set of 16 key-value pairs that can be attached to an object.
                This can be useful for storing additional

                information about the object in a structured format, and
                querying for objects via API or the dashboard.


                Keys are strings with a maximum length of 64 characters. Values
                are strings with a maximum length of

                512 characters.
            - type: 'null'
          title: Metadata
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
        created_by:
          type: string
          format: uuid
          title: Created By
      type: object
      required:
        - id
        - url
        - state
        - auth_request
        - disconnect_reason
        - metadata
        - created_at
        - updated_at
        - created_by
      title: ConnectorResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ConnectorState:
      type: string
      enum:
        - created
        - auth_required
        - connected
        - disconnected
      title: ConnectorState
    AuthorizationCodeRequest:
      properties:
        type:
          type: string
          const: code
          title: Type
          default: code
        authorization_endpoint:
          type: string
          minLength: 1
          format: uri
          title: Authorization Endpoint
      type: object
      required:
        - authorization_endpoint
      title: AuthorizationCodeRequest
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBasic:
      type: http
      scheme: basic
    HTTPBearer:
      type: http
      scheme: bearer

````